%define name	libmms
%define version	0.6.2
%define subrel	1
%define release	%mkrel 3

%define major		0
%define libname		%mklibname mms %{major}
%define develname	%mklibname mms -d

Summary:        MMS stream protocol library
Name:           %{name}
Version:        %{version}
Release:	%{release}
License:	LGPLv2.1
Group:          System/Libraries
Source:         http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:		libmms-0.6.2-CVE-2014-2892.patch
URL:            http://www.sf.net/projects/libmms
BuildRequires:	glib2-devel

%description
Libmms is a library implementing the MMS streaming protocol.

%package -n %{libname}
Group: System/Libraries
Summary: Shared library implementing the MMS protocol

%description -n %{libname}
Libmms is a library implementing the mms streaming protocol.

%package -n %{develname}
Summary: Development headers for developing with libmms
Group:	 Development/C
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %mklibname mms 0 -d

%description -n %{develname}
This package provides the necessary development headers and libraries
to allow you to build programs that use libmms.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# don't ship .a, .la
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f

%clean
rm -rf %{buildroot}

%files -n %{libname}
%doc AUTHORS ChangeLog README README.LICENSE
%{_libdir}/libmms.so.%{major}*

%files -n %{develname}
%{_includedir}/libmms
%{_libdir}/libmms.so
%{_libdir}/pkgconfig/libmms.pc


%changelog
* Mon Apr 21 2014 luigiwalser <luigiwalser> 0.6.2-3.1.mga3
+ Revision: 617312
- add upstream patch to fix CVE-2014-2892

* Sat Jan 12 2013 umeabot <umeabot> 0.6.2-3.mga3
+ Revision: 357772
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 06 2011 ahmad <ahmad> 0.6.2-2.mga1
+ Revision: 47658
- don't ship .a, .la
- drop old/unneeded scriptlets
- drop buildroot tag
- imported package libmms

